Bug 802821 - Support description metadata for features and snapshots in wallaby store
Support description metadata for features and snapshots in wallaby store
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby (Show other bugs)
Development
Unspecified Unspecified
low Severity unspecified
: 2.3
: ---
Assigned To: Will Benton
Lubos Trilety
: FutureFeature
Depends On:
Blocks: 747602 802823
  Show dependency treegraph
 
Reported: 2012-03-13 10:57 EDT by Will Benton
Modified: 2013-03-06 13:42 EST (History)
5 users (show)

See Also:
Fixed In Version: wallaby-0.16.3-1
Doc Type: Enhancement
Doc Text:
The wallaby service now allows users to annotate configuration entities and configuration snapshots with free-form textual descriptions. These can be used for documentation or site-specific applications. Entity annotations are available through the "annotation" property and the "setAnnotation" method on each entity type. Snapshots may be created with annotations by using the "wallaby make-snapshot" method or calling the "Store#makeSnapshotWithOptions" method with an "annotation" option set in the option map.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:42:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Benton 2012-03-13 10:57:13 EDT
Description of problem:

It would be useful if Wallaby exposed free-form textual descriptions or comments for features (to aid in documentation) and snapshots (to make sense of snapshots after the fact).  This will involve a database migration and additional API methods.
Comment 3 Martin Kudlej 2012-04-04 11:33:07 EDT
how can we test this feature, please?
Comment 5 Will Benton 2012-04-20 16:45:25 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The wallaby service now allows users to annotate configuration entities and configuration snapshots with free-form textual descriptions.  These can be used for documentation or site-specific applications.  Entity annotations are available through the "annotation" property and the "setAnnotation" method on each entity type.  Snapshots may be created with annotations by using the "wallaby make-snapshot" method or calling the "Store#makeSnapshotWithOptions" method with an "annotation" option set in the option map.
Comment 9 Lubos Trilety 2012-12-19 08:22:32 EST
It's not possible to add annotation when feature or group is created using add-* commands. It is possible for others - parameter, node and subsystem.

# wallaby add-feature -h
Usage:  wallaby add-feature FEATURE [...]
    -h, --help                       displays this message

# wallaby add-group -h
Usage:  wallaby add-group GROUP [...]
    -h, --help                       displays this message

# wallaby add-param -h
Usage:  wallaby add-param PARAMETER [...] [OPTIONS]
    -h, --help                       displays this message
        --annotation VALUE           Sets the annotation property of the newly-created parameter
                                        (valid values are strings)
        --level VALUE                Sets the level property of the newly-created parameter
                                        (valid values are integers)
        --default-val VALUE          Sets the default_val property of the newly-created parameter
                                        (valid values are strings)
        --description VALUE          Sets the description property of the newly-created parameter
                                        (valid values are strings)
        --needs-restart VALUE        Sets the needsRestart property of the newly-created parameter
                                        (valid values are "yes", "no")
        --kind VALUE                 Sets the kind property of the newly-created parameter
                                        (valid values are strings)
        --must-change VALUE          Sets the must_change property of the newly-created parameter
                                        (valid values are "yes", "no")

# wallaby add-node -h
Usage:  wallaby add-node NODE [...] [OPTIONS]
    -h, --help                       displays this message
        --annotation VALUE           Sets the annotation property of the newly-created node
                                        (valid values are strings)

# wallaby add-subsystem -h
Usage:  wallaby add-subsystem SUBSYSTEM [...] [OPTIONS]
    -h, --help                       displays this message
        --annotation VALUE           Sets the annotation property of the newly-created subsystem
                                        (valid values are strings)

Moreover annotation cannot be changed for node and subsystem, because of absence of modify-* commands.

>>> assigned
Comment 10 Lubos Trilety 2013-01-18 06:44:18 EST
Tested with:
wallaby-utils-0.16.3-1
wallaby-0.16.3-1

Tested on:
RHEL6 x86_64,i386
RHEL5 x86_64,i386

Annotation can be added for all types of objects during creation.
New commands for modify node and subsystem parameters was added. 'modify-subsystem' is working correctly, 'modify-node' is not working at all for this a new Bug 894324 was created.

>>> verified
Comment 12 errata-xmlrpc 2013-03-06 13:42:51 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.